Bug 1004028 - [abrt] pcsc-lite-1.8.7-1.fc18: exit: Process /usr/sbin/pcscd was killed by signal 6 (SIGABRT)
[abrt] pcsc-lite-1.8.7-1.fc18: exit: Process /usr/sbin/pcscd was killed by si...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcsc-cyberjack (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick C. F. Ernzer
Fedora Extras Quality Assurance
abrt_hash:41fd40b9ac03d685758d29de2e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 14:08 EDT by Klaus Lichtenwalder
Modified: 2015-07-01 04:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:21:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.97 KB, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details
File: cgroup (156 bytes, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details
File: core_backtrace (9.85 KB, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details
File: dso_list (909 bytes, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details
File: environ (160 bytes, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details
File: maps (6.11 KB, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details
File: open_fds (264 bytes, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details
File: proc_pid_status (888 bytes, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details
File: var_log_messages (11.49 KB, text/plain)
2013-09-03 14:08 EDT, Klaus Lichtenwalder
no flags Details

  None (edit)
Description Klaus Lichtenwalder 2013-09-03 14:08:20 EDT
Description of problem:
While stopping pcscd

Version-Release number of selected component:
pcsc-lite-1.8.7-1.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/sbin/pcscd --foreground --auto-exit
crash_function: exit
executable:     /usr/sbin/pcscd
kernel:         3.10.6-100.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #15 exit at exit.c:99
 #16 at_exit at pcscdaemon.c:652
 #17 signal_trap at pcscdaemon.c:696
 #19 select at ../sysdeps/unix/syscall-template.S:81
 #20 ProcessEventsServer at winscard_msg_srv.c:202
 #21 SVCServiceRunLoop at pcscdaemon.c:89
Comment 1 Klaus Lichtenwalder 2013-09-03 14:08:25 EDT
Created attachment 793319 [details]
File: backtrace
Comment 2 Klaus Lichtenwalder 2013-09-03 14:08:28 EDT
Created attachment 793320 [details]
File: cgroup
Comment 3 Klaus Lichtenwalder 2013-09-03 14:08:33 EDT
Created attachment 793321 [details]
File: core_backtrace
Comment 4 Klaus Lichtenwalder 2013-09-03 14:08:36 EDT
Created attachment 793322 [details]
File: dso_list
Comment 5 Klaus Lichtenwalder 2013-09-03 14:08:39 EDT
Created attachment 793323 [details]
File: environ
Comment 6 Klaus Lichtenwalder 2013-09-03 14:08:43 EDT
Created attachment 793324 [details]
File: limits
Comment 7 Klaus Lichtenwalder 2013-09-03 14:08:46 EDT
Created attachment 793325 [details]
File: maps
Comment 8 Klaus Lichtenwalder 2013-09-03 14:08:49 EDT
Created attachment 793326 [details]
File: open_fds
Comment 9 Klaus Lichtenwalder 2013-09-03 14:08:52 EDT
Created attachment 793327 [details]
File: proc_pid_status
Comment 10 Klaus Lichtenwalder 2013-09-03 14:08:56 EDT
Created attachment 793328 [details]
File: var_log_messages
Comment 11 Ludovic Rousseau 2013-09-04 04:13:06 EDT
It looks like the driver /usr/lib64/pcsc/drivers/libifd-cyberjack.bundle/Contents/Linux/libifd-cyberjack.so for the "REINER SCT cyberJack RFID komfort (2332955092) 00 00" raised an uncatched exception.

The message from glibc "free(): corrupted unsorted chunks" is not very encouraging.

The bug comes from the libifd-cyberjack.so driver, not pcsc-lite.
Comment 12 Kalev Lember 2013-09-04 06:16:47 EDT
Reassigning to pcsc-cyberjack.
Comment 13 Fedora End Of Life 2013-12-21 09:33:03 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 17:21:27 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Patrick C. F. Ernzer 2015-07-01 04:15:16 EDT
JFYI: saw that the vendor has a newer version (pcsc-cyberjack-3.99.5final.SP07-1) of the driver at http://www.reiner-sct.com/support/download/treiber-und-software/cyberjack/ and they now offer RPMs as well.

Note You need to log in before you can comment on or make changes to this bug.